#
# spec file for package python-Durus
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define oldpython python
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Durus
Version:        4.2
Release:        1.12
Summary:        A Python Object Database
License:        CNRI-Python
URL:            https://www.mems-exchange.org/software/durus/
Source:         https://files.pythonhosted.org/packages/source/D/Durus/Durus-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires(post): update-alternatives
Requires(postun):update-alternatives
%ifpython2
Provides:       %{oldpython}-durus = %{version}
Obsoletes:      %{oldpython}-durus < %{version}
%endif
%python_subpackages

%description
Serves and manages changes to persistent objects being used in
multiple client processes.

%prep
%setup -q -n Durus-%{version}
# Fix non-executable scripts
sed -i "1d" bin/db_renumber.py
sed -i "1d" durus/__main__.py

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/durus

%post
%python_install_alternative durus

%postun
%python_uninstall_alternative durus

%check
# TODO, uses sancho's utest format from 2005 on
# see CHANGES.txt

%files %{python_files}
%license LICENSE.txt
%doc ACKS.txt CHANGES.txt README.md doc/FAQ.txt
%python_alternative %{_bindir}/durus
%{python_sitearch}/*

%changelog
* Thu Oct 28 2021 Steve Kowalik <steven.kowalik@suse.com>
- Update to 4.2:
  * Use setuptools.
  * Set zip_safe to False.
  * Remove reference to DurusWorks.
  * Use python3 for scripts.
  * Small optimization for setting _p_* attributes.
  * Pickler.clear_memo() can get slow.  Work-around that issue.
  * When finishing FileStorage commit, log file size.
  * Order pack todo queue by file offset.
  * Add support for an inherited server socket.
  * Improve db_to_py3k.py script.
  * Move scripts to 'bin' directory.
  * Define separate methods for PersistentSet.
  * Add --storage-class option to 'durus' command line tool.
  * Fix suble bug in FileStorage2 packer.
  * Add create_from_records() method.
  * Restore DFS20 file storage format.
- Remove nose from BuildRequires.
* Thu Sep 10 2020 pgajdos@suse.com
- note this package does not use nose for testing at all
* Tue Nov  5 2019 Tomáš Chvátal <tchvatal@suse.com>
- Format with spec-cleaner
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Sun Apr 14 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Mar 23 2012 cfarrell@suse.com
- license update: CNRI-Python
  SPDX
* Thu Sep 22 2011 saschpe@suse.de
- Initial version
